perl-Lexical-SealRequireHints-0.011-6.fc29.x86_64.rpm


Advertisement

Description

perl-Lexical-SealRequireHints - Prevent leakage of lexical hints

Distribution: Fedora Rawhide
Repository: Fedora x86_64
Package name: perl-Lexical-SealRequireHints
Package version: 0.011
Package release: 6.fc29
Package architecture: x86_64
Package type: rpm
Installed size: 29.02 KB
Download size: 26.08 KB
Official Mirror: dl.fedoraproject.org
This module works around two historical bugs in Perl's handling of the %^H (lexical hints) variable. One bug causes lexical state in one file to leak into another that is required/used from it. This bug, [perl #68590], was present from Perl 5.6 up to Perl 5.10, fixed in Perl 5.11.0. The second bug causes lexical state (normally a blank %^H once the first bug is fixed) to leak outwards from utf8.pm, if it is automatically loaded during Unicode regular expression matching, into whatever source is compiling at the time of the regexp match. This bug, [perl #73174], was present from Perl 5.8.7 up to Perl 5.11.5, fixed in Perl 5.12.0.

Alternatives

Provides

  • perl(Lexical::SealRequireHints) = 0.011
  • perl-Lexical-SealRequireHints = 0.011-6.fc29
  • perl-Lexical-SealRequireHints(x86-64) = 0.011-6.fc29

Conflicts

  • perl(B:Hooks::OP::Check) < 0.19

    Install Howto

    Install the perl-Lexical-SealRequireHints rpm package:

    # dnf install perl-Lexical-SealRequireHints

    Files

    • /usr/lib/.build-id/
    • /usr/lib/.build-id/03/c4fb8862620ad830b229912675488cb15c332c
    • /usr/lib64/perl5/vendor_perl/Lexical/SealRequireHints.pm
    • /usr/lib64/perl5/vendor_perl/auto/Lexical/
    • /usr/lib64/perl5/vendor_perl/auto/Lexical/SealRequireHints/SealRequireHints.so
    • /usr/share/doc/perl-Lexical-SealRequireHints/Changes
    • /usr/share/man/man3/Lexical::SealRequireHints.3pm.gz

    Changelog

    2018-03-01 - Paul Howarth <paul@city-fan.org> - 0.011-6 - Arch-specific package using Module::Build needs to use ExtUtils::CBuilder (https://bugzilla.redhat.com/show_bug.cgi?id=1547165#c7) - Drop explicit gcc build-require as EU::CB is effectively our compiler here - Add build-require coreutils for %{_fixperms} - Simplify find command using -empty

    2018-02-19 - Jitka Plesnikova <jplesnik@redhat.com> - 0.011-5 - Add build-require gcc

    2018-02-08 - Fedora Release Engineering <releng@fedoraproject.org> - 0.011-4 - Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

    2017-08-03 - Fedora Release Engineering <releng@fedoraproject.org> - 0.011-3 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

    2017-07-27 - Fedora Release Engineering <releng@fedoraproject.org> - 0.011-2 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

    2017-07-17 - Jitka Plesnikova <jplesnik@redhat.com> - 0.011-1 - 0.011 bump

    2017-06-04 - Jitka Plesnikova <jplesnik@redhat.com> - 0.010-4 - Perl 5.26 rebuild

    2017-02-11 - Fedora Release Engineering <releng@fedoraproject.org> - 0.010-3 - Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

    2016-05-15 - Jitka Plesnikova <jplesnik@redhat.com> - 0.010-2 - Perl 5.24 rebuild

    2016-03-18 - Jitka Plesnikova <jplesnik@redhat.com> - 0.010-1 - 0.010 bump

    Advertisement
    Advertisement